Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class Var

    java.lang.Object
      |
      +--org.apache.commons.validator.Var

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class Var
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A variable that can be associated with a `Field` for passing in information to a pluggable validator. Instances of this class are configured with a <var> xml element.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `JSTYPE_INT` Int Constant for JavaScript type.
`static java.lang.String` | `JSTYPE_REGEXP` Regular Expression Constant for JavaScript type.
`static java.lang.String` | `JSTYPE_STRING` String Constant for JavaScript type.

Constructor Summary
`Var()` Default Constructor.
`Var(java.lang.String name, java.lang.String value, java.lang.String jsType)` Constructs a variable with a specified name, value and Javascript type.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`java.lang.String` | `getBundle()` Returns the resource bundle name.
`java.lang.String` | `getJsType()` Gets the JavaScript type of the variable.
`java.lang.String` | `getName()` Gets the name of the variable.
`java.lang.String` | `getValue()` Gets the value of the variable.
`boolean` | `isResource()` Tests whether or not the value is a resource key or literal value.
`void` | `setBundle(java.lang.String bundle)` Sets the resource bundle name.
`void` | `setJsType(java.lang.String jsType)` Sets the JavaScript type of the variable.
`void` | `setName(java.lang.String name)` Sets the name of the variable.
`void` | `setResource(boolean resource)` Sets whether or not the value is a resource.
`void` | `setValue(java.lang.String value)` Sets the value of the variable.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JSTYPE_INT

    public static final java.lang.String JSTYPE_INT

  Int Constant for JavaScript type. This can be used when auto-generating JavaScript.

### JSTYPE_STRING

    public static final java.lang.String JSTYPE_STRING

  String Constant for JavaScript type. This can be used when auto-generating JavaScript.

### JSTYPE_REGEXP

    public static final java.lang.String JSTYPE_REGEXP

  Regular Expression Constant for JavaScript type. This can be used when auto-generating JavaScript.

Constructor Detail

### Var

    public Var()

  Default Constructor.

### Var

    public Var(java.lang.String name,
               java.lang.String value,
               java.lang.String jsType)

  Constructs a variable with a specified name, value and Javascript type.
  Parameters:
    `name` - Variable name.
    `value` - Variable value.
    `jsType` - Variable Javascript type.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the variable.
  Returns:
    The name of the variable.

### setName

    public void setName(java.lang.String name)

  Sets the name of the variable.
  Parameters:
    `name` - The name of the variable.

### getValue

    public java.lang.String getValue()

  Gets the value of the variable.
  Returns:
    The value of the variable.

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the variable.
  Parameters:
    `value` - The value of the variable.

### isResource

    public boolean isResource()

  Tests whether or not the value is a resource key or literal value.
  Returns:
    `true` if value is a resource key.
  Since:
    Validator 1.2.0

### setResource

    public void setResource(boolean resource)

  Sets whether or not the value is a resource.
  Parameters:
    `resource` - If true indicates the value is a resource.
  Since:
    Validator 1.2.0

### getBundle

    public java.lang.String getBundle()

  Returns the resource bundle name.
  Returns:
    The bundle name.
  Since:
    Validator 1.2.0

### setBundle

    public void setBundle(java.lang.String bundle)

  Sets the resource bundle name.
  Parameters:
    `bundle` - The new bundle name.
  Since:
    Validator 1.2.0

### getJsType

    public java.lang.String getJsType()

  Gets the JavaScript type of the variable.
  Returns:
    The Javascript type of the variable.

### setJsType

    public void setJsType(java.lang.String jsType)

  Sets the JavaScript type of the variable.
  Parameters:
    `jsType` - The Javascript type of the variable.

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A copy of the variable.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.